PostgreSQL 9.1 and Lazarus 0.9.31

Forum related to PostgreSQL

Moderators: gto, cipto_kh, EgonHugeist, olehs

tbonejo
Fresh Boarder
Fresh Boarder
Posts: 1
Joined: 22.11.2011, 17:40

PostgreSQL 9.1 and Lazarus 0.9.31

Postby tbonejo » 22.11.2011, 17:45

I have been trying to get a connection to my postgresql db and it always throws the error that it cannot find libpq.so or libpq.so.4. They are installed and I even set a sym link for them but my connection still complains that they cannot be found.

I am using Mac OSX Snow Leopard.

Any ideas to resolve this?

Thanks,

Tom

Wild_Pointer
Expert Boarder
Expert Boarder
Posts: 159
Joined: 18.03.2008, 13:03
Contact:

Postby Wild_Pointer » 02.12.2011, 15:41

Hello tbonejo,

have you installed libpq in your mac ?

If so, please make symbolic link to libpq in /usr/lib/ like this:
sudo ln -s /usr/lib/libpq.5.dynlib /usr/lib/libpq.so

it's described there:
http://lists.freepascal.org/lists/fpc-p ... 12067.html

Good luck!


Return to “PostgreSQL”

Who is online

Users browsing this forum: No registered users and 1 guest